> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trades



## OpenAPI

````yaml openapi/api-gateway.json GET /trades
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /trades:
    get:
      tags:
        - api-gateway
      operationId: get_trades
      parameters:
        - name: symbol
          in: query
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The maximum number of trades to return, up to 100 trades. Defaults
            to 10.
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
      responses:
        '200':
          description: List of trades
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTradesResponse'
      security:
        - session_token: []
components:
  schemas:
    GetTradesResponse:
      type: object
      required:
        - trades
      properties:
        trades:
          type: array
          items:
            $ref: '#/components/schemas/Trade'
    Trade:
      allOf:
        - $ref: '#/components/schemas/Timestamp'
        - type: object
          required:
            - p
            - q
            - s
            - d
          properties:
            d:
              $ref: '#/components/schemas/Side'
            p:
              type: string
            q:
              type: integer
              format: int64
              minimum: 0
            s:
              type: string
    Timestamp:
      type: object
      required:
        - ts
        - tn
      properties:
        tn:
          type: integer
          format: int32
          minimum: 0
        ts:
          type: integer
          format: int32
    Side:
      type: string
      enum:
        - B
        - S
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````